libjpeg.so.62 help!

libjpeg.so.62 help!

Post by JaWz » Wed, 06 Jan 1999 04:00:00



I've been trying to upgrade AfterStep to the new rpm but I get a
dependency error of needing libjpeg.so.62. Where can I get this file?
I'm using RedHat 5.1 and the libjpeg that's installed is an older
version.
Thanks
 
 
 

libjpeg.so.62 help!

Post by jongarmpar » Wed, 06 Jan 1999 04:00:00



> I've been trying to upgrade AfterStep to the new rpm but I get a
> dependency error of needing libjpeg.so.62. Where can I get this file?
> I'm using RedHat 5.1 and the libjpeg that's installed is an older
> version.
> Thanks

Hello. It's the very example of the bad state of library problem on
Linux. ( or Unix compatibles ).And it is well known weird library.
First the name is not conventional.
Anyway you can get it from libjpegxxxxa.xx or libjpegxxxb.xxx.
In my case, I just make a link "libjpeg62.so.xxx" to a plain libjpeg
library, and it works.
Read the file listing of any libjpeg ftp site ( including RedHat )
and find the two files. ( libjpeg..a.. libjpeg..b.. )

Good luck.

--
--------------------------------------------

           Computer Vision Lab.
--------------------------------------------

 
 
 

libjpeg.so.62 help!

Post by George J. Potvi » Wed, 06 Jan 1999 04:00:00




> > I've been trying to upgrade AfterStep to the new rpm but I get a
> > dependency error of needing libjpeg.so.62. Where can I get this file?
> > I'm using RedHat 5.1 and the libjpeg that's installed is an older
> > version.
> > Thanks

> Hello. It's the very example of the bad state of library problem on
> Linux. ( or Unix compatibles ).And it is well known weird library.
> First the name is not conventional.
> Anyway you can get it from libjpegxxxxa.xx or libjpegxxxb.xxx.
> In my case, I just make a link "libjpeg62.so.xxx" to a plain libjpeg
> library, and it works.
> Read the file listing of any libjpeg ftp site ( including RedHat )
> and find the two files. ( libjpeg..a.. libjpeg..b.. )

> Good luck.

> --
> --------------------------------------------

>            Computer Vision Lab.
> --------------------------------------------

Actually, I think he needs to read the redhat 5.1 errata because this is a
known problem and RedHat has posted the fix for it.

George Potvin

 
 
 

libjpeg.so.62 help!

Post by David Pinaul » Thu, 07 Jan 1999 04:00:00



> I've been trying to upgrade AfterStep to the new rpm but I get a
> dependency error of needing libjpeg.so.62. Where can I get this file?
> I'm using RedHat 5.1 and the libjpeg that's installed is an older
> version.
> Thanks

This'll do it:

ftp://rpmfind.net/linux/redhat/redhat-5.2/i386/RedHat/RPMS/libjpeg-6b...

--
David

Remove !s to reply

 
 
 

libjpeg.so.62 help!

Post by JaWz » Thu, 07 Jan 1999 04:00:00


Thanks for the link! Problem though, the errata says that there is a large
number of fixes and to follow a "libjpeg/libgif" link but I can't find any
such link. I did find a jpeg directory. Is this supposed to be the same
thing?

> ftp://updates.redhat.com but before that read the errata for RH5.1 on
> redhat's site...and come there often....well not actually that often.....


> > I've been trying to upgrade AfterStep to the new rpm but I get a
> > dependency error of needing libjpeg.so.62. Where can I get this file?
> > I'm using RedHat 5.1 and the libjpeg that's installed is an older
> > version.
> > Thanks

 
 
 

libjpeg.so.62 help!

Post by JaWz » Thu, 07 Jan 1999 04:00:00


Thanks for the link!
It was a little confusing using the ftp site since the errata said to follow
a link that wasn't there. The link was on the http site and I've got all the
files finally.

> ftp://updates.redhat.com but before that read the errata for RH5.1 on
> redhat's site...and come there often....well not actually that often.....


> > I've been trying to upgrade AfterStep to the new rpm but I get a
> > dependency error of needing libjpeg.so.62. Where can I get this file?
> > I'm using RedHat 5.1 and the libjpeg that's installed is an older
> > version.
> > Thanks